# Update an optimization task. Updates an optimization task. Warning: this cannot be used to change the parameters of already running or starting tasks. Endpoint: PATCH /v1/plannings/{id}/optimization-task-results/{task_id}/ Version: 1.0.0 Security: tokenAuth ## Path parameters: - `id` (string, required) - `task_id` (string, required) ## Request fields (application/json): - `taskName` (string) - `_status` (string) * PENDING - Pending * STARTED - Started * RUNNING - Running * SUCCESS - Success * FAILURE - Failure * RETRY - Retry * EXPIRED - Expired Enum: "PENDING", "STARTED", "RUNNING", "SUCCESS", "FAILURE", "RETRY", "EXPIRED" - `metrics` (any) - `optimizationLogs` (string) - `optimizationStatus` (string) * OPTIMAL - Optimal solution found * FEASIBLE - Feasible solution found * INFEASIBLE - Problem is infeasible * MODEL_INVALID - Model is invalid * ERROR - Error happened while solving * MODEL_BUILD_TIMEOUT - Model building took too long * UNKNOWN - Unknown status Enum: "OPTIMAL", "FEASIBLE", "INFEASIBLE", "MODEL_INVALID", "ERROR", "MODEL_BUILD_TIMEOUT", "UNKNOWN" ## Response 400 fields (application/json): - `detail` (string, required) ## Response 500 fields (application/json): - `detail` (string, required)